The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Available Interfaces to Allocate

Prev Next

This URL returns the available interfaces to be allocated.

Resource URL

GET /domain/<domain_id>/sensor/<sensor_id>/availableinterfaces

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes
sensor_id Sensor id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
SensorInfo Array of type interface information Array

Details of fields in InterfaceInf:

Field Name Description Data Type
interfaceId Interface Id Int
name Interface name String
interfaceType Interface type Object
subInterfaces Array of type Interface Info Array

Details of interfaceType:

Field Name Description Data Type
Dedicated Default traffic type. No segmentation of traffic Object
Vlan Segment of interface into multiple networks by VLAN tags Object
Cidr Enables segment of interface into multiple networks by CIDR addressing Object
BridgeVlan List of bridge VLAN id(applicable for VM-IPS only) Object

Details of CIDR:

Field Name Description Data Type
cidrList List of CIDR IDs Array

Details of BridgeVlan:

Field Name Description Data Type
bridgeVlanRangeList List of bridge VLAN range Array

Details of Vlan:

Field Name Description Data Type
id List of VLAN IDs Array

Example

Request

https://%3CNSM_IP%3E/sdkapi/domain/103/sensor/1002/availableinterfaces

Response

{
       "interfaceInfoList":
       [
           {
               "interafaceId": 123,
               "name": "3B",
               "interfacetype":
               {
                   "Dedicated":
                   {
                   }
               }
           },
           {
               "interafaceId": 116,
               "name": "1A-1B",
               "interfacetype":
               {
                   "Dedicated":
                   {
                   }
               }
           },
           {
               "interafaceId": 115,
               "name": "2A-2B",
               "interfacetype":
               {
                   "Vlan":
                   {
                       "id":
                       [
                           "8",
                           "9"
                       ]
                   }
               }
           },
           {
               "interafaceId": 114,
               "name": "3A",
               "interfacetype":
               {
                   "Dedicated":
                   {
                   }
               }
           },
           {
               "interafaceId": 113,
               "name": "4A-4B",
               "interfacetype":
               {
                   "Dedicated":
                   {
                   }
               }
           },
           {
               "interafaceId": 112,
               "name": "5A-5B",
               "interfacetype":
               {
                   "Dedicated":
                   {
                   }
               }
           },
           {
               "interafaceId": 111,
               "name": "6A-6B",
               "interfacetype":
               {
                   "Dedicated":
                   {
                   }
               }
           },
           {
               "interafaceId": 110,
               "name": "7A-7B",
               "interfacetype":
               {
                   "Cidr":
                   {
                       "cidrList":
                       [
                           "192.168.0.0/23"
                       ]
                   }
               }
           }
       ]
    } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 404 1106 Invalid Sensor